#!/bin/bash
if [ ! "$UID" -eq 0 ]; then
        echo "This script must be run as super-user, you could use 'sudo "$0"'"
        exit 1
fi

mkdir -p /usr/lib/gvdown/po
cp *.py *.glade /usr/lib/gvdown
cp nonsrc/gvdown.xpm /usr/share/pixmaps/
cp nonsrc/gvdown.desktop /usr/share/applications/
cp -R po/ /usr/lib/gvdown/
ln -s /usr/lib/gvdown/gui.py /usr/bin/gvdown

ln -s /usr/lib/gvdown/cli.py /usr/bin/vdown

chmod +x /usr/bin/vdown
chmod +x /usr/bin/gvdown
echo "---"
echo "Installation was successful, if no errors were shown."
echo "You can now start vdown with 'vdown URL1 URL2' and so on, you can start gvdown with Applications->Internet->GVDOWN or 'gvdown'."
